NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder Class Reference

This is the feature builder for the convert to sheetmetal feature. More...

Inheritance diagram for NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BendReliefTypeOptions { None, Square, Round }
 This enum represents the bend relief type. More...
 

Public Member Functions

unsafe
NXOpen.Features.SheetMetal.ConvertInputListItemBuilder 
CreateConvertInputListItem ()
 Create a corner list item. More...
 
unsafe NXOpen.Edge[] GetRipEdges ()
 Gets the array of edges selected for ripping while converting to sheetmetal. More...
 
unsafe void SetBendReliefDepth (string bendReliefDepth)
  More...
 
unsafe void SetBendReliefWidth (string bendReliefWidth)
  More...
 
unsafe void SetRipEdges (NXOpen.Edge[] ripEdges)
 Sets the array of edges that need to be ripped while converting to sheetmetal. More...
 
unsafe int ValidateBuilderData ()
 Verify that the builder data is valid for feature creation. More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector AdditionalFacesToConvert [get]
 Returns the additional faces to convert More...
 
unsafe NXOpen.Face BaseFace [get, set]
 Returns or sets the base face from which the thickness of the part is determined. More...
 
unsafe NXOpen.Expression BendReliefDepth [get]
 Returns the bend relief depth. More...
 
unsafe
NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.BendReliefTypeOptions 
BendReliefType [get, set]
 Returns or sets the bend relief type. More...
 
unsafe NXOpen.Expression BendReliefWidth [get]
 Returns the bend relief width. More...
 
unsafe
NXOpen.Features.SheetMetal.ConvertInputListItemBuilderList 
CornerList [get]
 Returns the corner list More...
 
unsafe NXOpen.Face LocalBaseFace [get, set]
 Returns or sets the base face of local convert from which the thickness of the part is determined. More...
 
unsafe NXOpen.ScCollector LocalRegionFaces [get]
 Returns the faces for local convert More...
 
unsafe bool MaintainZeroBendRadius [get, set]
 Returns or sets the option for Maintain zero bend radius. More...
 
unsafe NXOpen.Section RipSection [get, set]
 Returns or sets the section containing curves that need to be ripped while converting to sheetmetal. More...
 
unsafe
NXOpen.Features.SketchFeature 
Sketch [get, set]
 Returns or sets the internal sketch (used to specify rip curves), if it exists. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This is the feature builder for the convert to sheetmetal feature.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateConvertToSheetmetalFeatureBuilder

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the bend relief type.

Enumerator
None 
Square 
Round 

Member Function Documentation

unsafe NXOpen.Features.SheetMetal.ConvertInputListItemBuilder NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.CreateConvertInputListItem ( )
inline

Create a corner list item.

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe NXOpen.Edge [] NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.GetRipEdges ( )
inline

Gets the array of edges selected for ripping while converting to sheetmetal.


For NX 12.0.2 and later release, use Edge Rip feature for ripping edges before using Convert to Sheet Metal feature.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Returns
unsafe void NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.SetBendReliefDepth ( string  bendReliefDepth)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use Expression.RightHandSide on the Expression object returned from Features.SheetMetal.ConvertToSheetmetalBuilder.BendReliefDepth instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
bendReliefDepth
unsafe void NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.SetBendReliefWidth ( string  bendReliefWidth)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use Expression.RightHandSide on the Expression object returned from Features.SheetMetal.ConvertToSheetmetalBuilder.BendReliefWidth instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
bendReliefWidth
unsafe void NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.SetRipEdges ( NXOpen.Edge[]  ripEdges)
inline

Sets the array of edges that need to be ripped while converting to sheetmetal.


For NX 12.0.2 and later release, use Edge Rip feature for ripping edges before using Convert to Sheet Metal feature.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
ripEdges
unsafe int NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.ValidateBuilderData ( )
inline

Verify that the builder data is valid for feature creation.

If the builder data is valid, it returns a value of 0.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Returns
data validity flag (0 - valid, 1 - invalid)

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.AdditionalFacesToConvert
get

Returns the additional faces to convert

Created in NX10.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Face NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.BaseFace
getset

Returns or sets the base face from which the thickness of the part is determined.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.BendReliefDepth
get

Returns the bend relief depth.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.BendReliefTypeOptions NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.BendReliefType
getset

Returns or sets the bend relief type.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.BendReliefWidth
get

Returns the bend relief width.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.SheetMetal.ConvertInputListItemBuilderList NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.CornerList
get

Returns the corner list

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Face NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.LocalBaseFace
getset

Returns or sets the base face of local convert from which the thickness of the part is determined.

Created in NX12.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.ScCollector NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.LocalRegionFaces
get

Returns the faces for local convert

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.MaintainZeroBendRadius
getset

Returns or sets the option for Maintain zero bend radius.

If the option is set to true, a tiny 0.02 mm radius bend will be created on inside sharp edge (for the features created in NX8 or later releases); else the radius value from NXSM Preferences will be used.

Created in NX8.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.RipSection
getset

Returns or sets the section containing curves that need to be ripped while converting to sheetmetal.


For NX 12.0.2 and later release, use Edge Rip feature for ripping edges before using Convert to Sheet Metal feature.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder.Sketch
getset

Returns or sets the internal sketch (used to specify rip curves), if it exists.


For NX 12.0.2 and later release, use Edge Rip feature for ripping edges before using Convert to Sheet Metal feature.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.